## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
Chibi-Scheme is a very small library intended for use as an extension
and scripting language in C programs. In addition to support for
lightweight VM-based threads, each VM itself runs in an isolated
heap allowing multiple VMs to run simultaneously in different OS threads.

The default language is R7RS Scheme, with support for all libraries.
Support for additional languages such as JavaScript, Go, Lua and Bash
are planned for future releases. Scheme is chosen as a substrate because
its first class continuations and guaranteed tail-call optimization
makes implementing other languages easy.

Chibi-Scheme is known to work on 32 and 64-bit Linux, FreeBSD and OS X,
Plan9, Windows (using Cygwin), iOS, and Emscripten.
}

Name:           chibi-scheme
Version:        0.10.0
Release:        %autorelease
Summary:        Minimal Scheme implementation for use as an extension language

# Most of the project is licensed under BSD-3-Clause, while certain SRFIs
# like SRFI 101 and 135 are imported from elsewhere and have the MIT license.
License:        BSD-3-Clause AND MIT
URL:            http://synthcode.com/wiki/chibi-scheme
Source0:        http://synthcode.com/scheme/chibi/%{name}-%{version}.tgz

BuildRequires:  make
BuildRequires:  gcc

%description %_description

%package devel
Summary:        Development files for chibi-scheme
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n %name-devel %_description

This package contains the development files alongside the tool `chibi-ffi`.

%prep
%autosetup

%build
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir} SOLIBDIR=%{_libdir} SNOWPREFIX=%{_prefix} SNOWLIBDIR=%{_libdir} doc all

%install
# Disable generating Chibi images at build time, since it'd attempt to reference the buildroot paths.
# Instead generate at install time on user's machine.
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} SOLIBDIR=%{_libdir} SNOWPREFIX=%{_prefix} SNOWLIBDIR=%{_libdir} IMAGE_FILES=""

%post
# Always generate images when installing (upgrade or not)
# This is needed, because as explained in the %%install -section,
# this needs to be done at install time because otherwise the referred paths
# would point to the buildroot instead of the user's filesystem
%{_bindir}/chibi-scheme -mchibi.repl -d %{_datadir}/chibi/chibi.img
%{_bindir}/chibi-scheme -xscheme.red -mchibi.repl -d %{_datadir}/chibi/red.img
%{_bindir}/chibi-scheme -mchibi.snow.commands -mchibi.snow.interface -mchibi.snow.package -mchibi.snow.utils -d %{_datadir}/chibi/snow.img

%preun
# Remove generated Chibi images if uninstalling totally
if [ $1 -lt 1 ]; then
    rm -f %{_datadir}/chibi/chibi.img
    rm -f %{_datadir}/chibi/red.img
    rm -f %{_datadir}/chibi/snow.img
fi

%files
%license COPYING
%doc doc/lib/chibi/*.html
%{_bindir}/chibi-doc
%{_bindir}/%{name}
%{_bindir}/snow-chibi
%{_bindir}/snow-chibi.scm

%{_libdir}/libchibi-scheme.so.0*
%{_libdir}/chibi

%{_datadir}/chibi/

%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/chibi-doc.1*

%files devel
%{_bindir}/chibi-ffi
%{_includedir}/chibi
%{_libdir}/libchibi-scheme.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/chibi-ffi.1*

%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Jani Juhani Sinervo <jani@sinervo.fi> - 0.10.0-1
- Initial import (fedora#2065938)
## END: Generated by rpmautospec
